<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PERUSAHAAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <!--<div class="col-sm-9 form-inline">-->
              <!--<label class="col-form-label mr-1">Menunjukkan </label>-->
              <!--<select (change)="doGetListCompany()" class="form-control" [(ngModel)]="itemsPerPage">-->
                <!--<option value="10">10</option>-->
                <!--<option value="25">25</option>-->
                <!--<option value="50">50</option>-->
                <!--<option value="100">100</option>-->
              <!--</select>-->
              <!--<label class="ml-1"> Data</label>-->
            <!--</div>-->
            <div class="col-sm-4">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text"><i class="fa fa-search"></i> </div>
                  <input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
              </div>
            </div>
            <div class="col-sm-5"></div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Perusahaan Baru</button>
            </div><br><br>
            <!--<div class="col-sm-6">-->
              <!--<div class="controls">-->
                <!--<div class="input-group">-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                  <!--<span class="input-group-append">-->
                    <!--<button class="btn btn-success" type="button"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                <!--</div>-->
              <!--</div>-->
            <!--</div>-->
          </div><br>
          <div *ngIf="listPerusahaan | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle">#</th>
                <th class="text-center align-middle" (click)="sort('kodePerusahaan')">Kode Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'kodePerusahaan',
                                    'fa-sort-asc': (column == 'kodePerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'kodePerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('nomorPerusahaan')">Nomor Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorPerusahaan',
                                    'fa-sort-asc': (column == 'nomorPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'nomorPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('namaPerusahaan')">Nama Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('alamatPerusahaan')">Alamat Perusahaan
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'alamatPerusahaan',
                                    'fa-sort-asc': (column == 'alamatPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'alamatPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('emailPerusahaan')">Telepon
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'emailPerusahaan',
                                    'fa-sort-asc': (column == 'emailPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'emailPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('emailPerusahaan')">Email
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'emailPerusahaan',
                                    'fa-sort-asc': (column == 'emailPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'emailPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('emailPerusahaan')">Tanggal Registrasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'emailPerusahaan',
                                    'fa-sort-asc': (column == 'emailPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'emailPerusahaan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listPerusahaan || listPerusahaan.length===0 || list.length===0">
              <tr>
                <td colspan="9" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.kodePerusahaan }}</td>
                <td>{{ data.nomorPerusahaan }}</td>
                <td class="text-left">{{ data.namaPerusahaan }}</td>
                <td>{{ data.alamatPerusahaan }}</td>
                <td>{{ data.teleponPerusahaan }}</td>
                <td>{{ data.emailPerusahaan }}</td>
                <td>{{ data.registrasiPerusahaan | date: 'dd MMM yyyy' }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedCompany(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                  <!--<button class="btn btn-danger btn-sm ml-1"><i class="icon-trash"></i> </button>-->
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <!--<div class="pull-right mt-auto">-->
              <!--<pagination *ngIf="list.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"-->
                          <!--[(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">-->
              <!--</pagination>-->
            <!--</div>-->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success  modal-xl" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="fa fa-pencil"></i> {{modalTitle}} Perusahaan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-6">
              <h5 class="font-italic">Data Perusahaan</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Kode Perusahaan</label>
                <input type="text" id="kodePerusahaan" class="form-control" formControlName="kodePerusahaan" placeholder="Kode Perusahaan" [disabled]="modalTitle==='Edit'">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Perusahaan</label>
                <input type="text" id="nomorPerusahaan" class="form-control" formControlName="nomorPerusahaan" placeholder="Nomor Perusahaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Perusahaan</label>
                <input type="text" id="namaPerusahaan" class="form-control" formControlName="namaPerusahaan" placeholder="Nama Perusahaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Bidang Usaha</label>
                <input type="text" id="kodeBidangUsaha" class="form-control" formControlName="kodeBidangUsaha" placeholder="Bidang Usaha">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Alamat Perusahaan</label>
                <input type="text" id="alamatPerusahaan" class="form-control" formControlName="alamatPerusahaan" placeholder="Alamat Perusahaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Telepon</label>
                <input type="text" id="teleponPerusahaan" class="form-control" formControlName="teleponPerusahaan" placeholder="Telepon Perusahaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Fax</label>
                <input type="text" id="faxPerusahaan" class="form-control" formControlName="faxPerusahaan" placeholder="Nomor Fax">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">NPWP Perusahaan</label>
                <input type="text" id="npwpPerusahaan" class="form-control" formControlName="npwpPerusahaan" placeholder="NPWP Perusahaan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Konfederasi / Serikat Kerja</label>
                <ngx-select-dropdown [multiple]="false" [config]="configSelectKonfederasi" formControlName="selectedKonfederasi" [options]="listKonfederasi"></ngx-select-dropdown>
              </div>
            </div>
            <div class="col-sm-6">
              <h5 class="font-italic">Pejabat yang Berwenang</h5>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor NIK</label>
                <input type="text" id="nikPejabat" class="form-control" formControlName="nikPejabat" placeholder="Nomor NIK">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nama Karyawan</label>
                <input type="text" id="namaPejabat" class="form-control" formControlName="namaPejabat" placeholder="Nama Karyawan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jabatan</label>
                <input type="text" id="jabatanPejabat" class="form-control" formControlName="jabatanPejabat" placeholder="Jabatan">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Telepon Kantor</label>
                <input type="text" id="teleponPerusahaan2" class="form-control" formControlName="teleponPerusahaan" placeholder="Nomor Telepon Kantor">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Extension</label>
                <input type="text" id="extentionPejabat" class="form-control" formControlName="extentionPejabat" placeholder="Extension">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nomor Seluler</label>
                <input type="text" id="hpPejabat" class="form-control" formControlName="hpPejabat" placeholder=" Nomor Handphone">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">E-mail</label>
                <input type="text" id="emailPerusahaan" class="form-control" formControlName="emailPerusahaan" placeholder=" Email">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Daftar</label>
                <input class="form-control" id="registrasiPerusahaan" type="date" placeholder="date" formControlName="registrasiPerusahaan">
              </div>
              <div class="col-sm-12" *ngIf="modalTitle==='Ubah'">
                <label class="col-form-label">Password</label>
                <!--<input *ngIf="modalTitle==='Tambah'" minlength="4" type="password" id="password" class="form-control" formControlName="password" placeholder="Password">-->
                <button *ngIf="modalTitle==='Ubah'" type="button" class="btn btn-success form-control text-left" (click)="resetPassword()">
                  <i class="fa fa-undo"></i> Reset Password
                </button>
              </div><br>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

